## com.google.appengine.api.xmpp
Class SubscriptionBuilder

    java.lang.Object
      com.google.appengine.api.xmpp.SubscriptionBuilder

    public class SubscriptionBuilder

extends java.lang.Object

Builder used to generate `Subscription` instances to represent incoming XMPP subscription stanzas.

Constructor Summary
`SubscriptionBuilder()`

Method Summary
`Subscription` `build()`
`SubscriptionBuilder` `withFromJid(JID fromJid)`
`SubscriptionBuilder` `withStanza(java.lang.String stanza)`
`SubscriptionBuilder` `withSubscriptionType(SubscriptionType subscriptionType)`
`SubscriptionBuilder` `withToJid(JID toJid)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriptionBuilder

    public SubscriptionBuilder()

Method Detail

### withSubscriptionType

    public SubscriptionBuilder withSubscriptionType(SubscriptionType subscriptionType)

### withToJid

    public SubscriptionBuilder withToJid(JID toJid)

### withFromJid

    public SubscriptionBuilder withFromJid(JID fromJid)

### withStanza

    public SubscriptionBuilder withStanza(java.lang.String stanza)

### build

    public Subscription build()